"""Collection of custom workflows."""

__author__ = "Lukas Leufen"
__date__ = '2022-07-20'


from mlair.run_modules import ExperimentSetup, PreProcessing, ModelSetup, Training
from mlair.workflows.default_workflow import DefaultWorkflow


class HyperSearchWorkflow(DefaultWorkflow):
    """
    A workflow executing ExperimentSetup, PreProcessing, ModelSetup, and Training. PostProcessing is not added to this
    workflow which is intended to be used in a training cycle.
    """

    def _setup(self, **kwargs):
        """Set up default workflow."""
        self.add(ExperimentSetup, **kwargs)
        self.add(PreProcessing)
        self.add(ModelSetup)
        self.add(Training)
